summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/apmd
diff options
context:
space:
mode:
authordougb <dougb@FreeBSD.org>2012-02-14 10:51:24 +0000
committerdougb <dougb@FreeBSD.org>2012-02-14 10:51:24 +0000
commit5abebddb436aac4d1f396c82a98743aa0a774aa6 (patch)
tree25bb26903a57056ed6ba1543fab1af2635184b77 /etc/rc.d/apmd
parenta6e5cd41ae1c223f22bef504edae255aea74c2e1 (diff)
downloadFreeBSD-src-5abebddb436aac4d1f396c82a98743aa0a774aa6.zip
FreeBSD-src-5abebddb436aac4d1f396c82a98743aa0a774aa6.tar.gz
Fix various issues with the NFS and RPC related scripts:
1. Add new functionality to the force_depend method to incorporate the tests for whether the service is enabled and/or already running. 2. Add a new option to bypass checking only that the service is enabled at boot time, and always check if it is running. 3. Use this new functionality to greatly simplify the rc.d scripts that use force_depend. 4. Add a force_depend for statd in lockd 5. Remove the check that either nfs_server or nfs_client is _enable'd from statd and lockd. This was always overkill, and prevented using the {one|force}start options, as well as stop'ing on the command line. 6. The yp* scripts had some of their arguments in various weird orders. Bring them into line with the model. 7. If mountd fails to create /var/db/mountdtab, err out. Ideas, suggestions, and/or review from delphij and jilles. Pointy hats are completely my responsibility however.
Diffstat (limited to 'etc/rc.d/apmd')
-rwxr-xr-xetc/rc.d/apmd10
1 files changed, 2 insertions, 8 deletions
diff --git a/etc/rc.d/apmd b/etc/rc.d/apmd
index 2a326c1..beca912 100755
--- a/etc/rc.d/apmd
+++ b/etc/rc.d/apmd
@@ -19,24 +19,18 @@ apmd_prestart()
{
case `${SYSCTL_N} hw.machine_arch` in
i386)
- # Enable apm if it is not already enabled
- if ! checkyesno apm_enable && \
- ! /etc/rc.d/apm forcestatus 1>/dev/null 2>&1
- then
- force_depend apm || return 1
- fi
+ force_depend apm || return 1
# Warn user about acpi apm compatibility support which
# does not work with apmd.
if [ ! -e /dev/apmctl ]; then
- warn "/dev/apmctl not found; kernel is missing apm(4)"
+ warn "/dev/apmctl not found; kernel is missing apm(4)"
fi
;;
*)
return 1
;;
esac
- return 0
}
load_rc_config $name
OpenPOWER on IntegriCloud